1 3 4 5 6 7 Previous Next 97 Replies Latest reply: Apr 18, 2012 12:05 PM by baltwo Go to original post
  • 75. Re: [lion] XCode 4.1 doesn't install with lion
    jackfromdenver Level 1 Level 1 (5 points)

    I had the same problem all listers here. I am trying h.Rock's solution above and it is loading hopefully it will complete. I will provide update

  • 76. Re: [lion] XCode 4.1 doesn't install with lion
    discofever Level 1 Level 1 (0 points)

    Still not there for me ...

    I've tried every hack, sudoers, sudo, killing itunes, etc ...

     

    Any idea ? Pulling my hairs out.

     

    Here's my log

     

    mac:Applications cem$ tail -f /var/log/install.log

    Sep  1 17:55:01 mac installd[375]: PackageKit: Extracting file://localhost/Applications/Install%20Xcode.app/Contents/Resources/Packages/O penGLApps.pkg (destination=/var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/Cleanup At Startup/PKInstallSandbox-tmp/Root, uid=0)

    Sep  1 17:55:02 mac installd[375]: PackageKit: Install Failed: Error Domain=PKInstallErrorDomain Code=110 "An error occurred while extracting files from the package “DevToolsDocumentation.pkg”." UserInfo=0x7fb7e6701a30 {NSLocalizedDescription=An error occurred while extracting files from the package “DevToolsDocumentation.pkg”., NSFilePath=/var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/Cleanup At Startup/PKInstallSandbox-tmp/Root, NSURL=file://localhost/Applications/Install%20Xcode.app/Contents/Resources/Pack ages/DevToolsDocumentation.pkg, PKInstallPackageIdentifier=com.apple.pkg.DevToolsDocumentationLeo, NSUnderlyingError=0x7fb7e68ecfd0 "The file couldn’t be opened because it isn’t in the correct format."} {

                  NSFilePath = "/var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/Cleanup At Startup/PKInstallSandbox-tmp/Root";

                  NSLocalizedDescription = "An error occurred while extracting files from the package \U201cDevToolsDocumentation.pkg\U201d.";

                  NSURL = "file://localhost/Applications/Install%20Xcode.app/Contents/Resources/Packages/ DevToolsDocumentation.pkg";

                  NSUnderlyingError = "Error Domain=NSCocoaErrorDomain Code=259 \"The file couldn\U2019t be opened because it isn\U2019t in the correct format.\"";

                  PKInstallPackageIdentifier = "com.apple.pkg.DevToolsDocumentationLeo";

              }

    Sep  1 17:55:02 mac installer[1121]: install:didFailWithError:Error Domain=PKInstallErrorDomain Code=110 "An error occurred while extracting files from the package “DevToolsDocumentation.pkg”." UserInfo=0x7f8b01661b90 {NSUnderlyingError=0x7f8b01661c20 "The file couldn’t be opened because it isn’t in the correct format.", NSFilePath=/var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/Cleanup At Startup/PKInstallSandbox-tmp/Root, NSURL=file://localhost/Applications/Install%20Xcode.app/Contents/Resources/Pack ages/DevToolsDocumentation.pkg, PKInstallPackageIdentifier=com.apple.pkg.DevToolsDocumentationLeo, NSLocalizedDescription=An error occurred while extracting files from the package “DevToolsDocumentation.pkg”.}

    Sep  1 17:55:03 mac installer[1121]: Install failed: The Installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance.

  • 77. Re: [lion] XCode 4.1 doesn't install with lion
    discofever Level 1 Level 1 (0 points)

    Ok ran the permission fixer from diskutility now i come to this error :

     

    Sep  1 18:04:37 mac installer[1163]: install:didFailWithError:Error Domain=PKInstallErrorDomain Code=110 "An error occurred while extracting files from the package “DeveloperDiskImageReleased.pkg”." UserInfo=0x7fe4e5167200 {NSUnderlyingError=0x7fe4e5167140 "The operation couldn’t be completed. cpio read error: Undefined error: 0", NSFilePath=/var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/Cleanup At Startup/PKInstallSandbox-tmp/Root, NSURL=file://localhost/Applications/Install%20Xcode.app/Contents/Resources/Pack ages/DeveloperDiskImageReleased.pkg, PKInstallPackageIdentifier=com.apple.pkg.DeveloperDiskImageReleased, NSLocalizedDescription=An error occurred while extracting files from the package “DeveloperDiskImageReleased.pkg”.}

     

    something like DeveloperDiskImageReleased.pkg ?!

  • 78. Re: [lion] XCode 4.1 doesn't install with lion
    sepsep96 Level 1 Level 1 (0 points)

    I GOT IT!!!!! It is very simply actually. download xcode from the app store. make sure all of itunes is closed. NOW the important part. DO NOT I REPEAT DO NOT OPEN Install Xcode from Launchpad. Go to finder, application and open Install Xcode from the application folder. I used to install it from launchpad and it always stoped halfway saying var/log/install.log. But if opened from applications folder it works!!!!

  • 79. Re: [lion] XCode 4.1 doesn't install with lion
    sepsep96 Level 1 Level 1 (0 points)

    An addition have at least 11 gb of free space on your computer. 3 for the download, and around 8 or more for the file to install. Enjoy!

  • 80. Re: [lion] XCode 4.1 doesn't install with lion
    sepsep96 Level 1 Level 1 (0 points)

    And if that doesn't work (if it freezes at around 98%) then go to the application but don't open it. right click and go to show contents. then go contents then resources and it should be the bottom file called XCode.mpkg. That should make it work hopefully.

  • 81. Re: [lion] XCode 4.1 doesn't install with lion
    markpb91 Level 1 Level 1 (35 points)

    If you are having trouble installing Xcode try this it worked for me:

     

    1. Open Terminal

    2. type 'sudo open'

    3. drag the 'Install Xcode' from Applications into the Terminal window

    4. press Enter/Return (you may have to enter your password)

    5. contiune with the installation.

     

     

    Hope this helps.

  • 82. Re: [lion] XCode 4.1 doesn't install with lion
    alex200 Level 1 Level 1 (0 points)

    I've had trouble with this issue but it is now resolved.... thanks to a few posters here including markpb91.

     

    I removed old Xcode via terminal, then restartedt the device.  I then logged in under a new account admin name. I then used the 'sudo open' command in terminal as described in the post above.

     

    After a week of trying this is the only thing that has worked.

  • 83. Re: [lion] XCode 4.1 doesn't install with lion
    xtrmtrk Level 1 Level 1 (0 points)

    I'm having the same problem trying to install XCode 4.2.  My configuration is:

     

    * MBP running 10.7.2

    * Installing from an Administrator account

    * 220GB free disk space

     

    I suspect there's a permissions problem with the root account.  If I look at the Installer error log I see this:

     

    ./preinstall: root is not allowed to run sudo on bruce-joness-macbook-pro.

     

     

    And of course a few lines later:

     

    Oct 15 12:23:04 bruce-joness-macbook-pro installd[325]: PackageKit: Install Failed: Error Domain=PKInstallErrorDomain Code=112 "An error occurred while running scripts from the package “DeveloperTools.pkg”." UserInfo=0x7f8549b6e410 {NSFilePath=./preinstall, NSURL=file://localhost/Applications/Install%20Xcode.app/Contents/Resources/Packages/DeveloperTools.pkg, PKInstallPackageIdentifier=com.apple.pkg.DeveloperToolsLeo, NSLocalizedDescription=An error occurred while running scripts from the package “DeveloperTools.pkg”.} {

                  NSFilePath = "./preinstall";

                  NSLocalizedDescription = "An error occurred while running scripts from the package \U201cDeveloperTools.pkg\U201d.";

                  NSURL = "file://localhost/Applications/Install%20Xcode.app/Contents/Resources/Packages/DeveloperTools.pkg";

                  PKInstallPackageIdentifier = "com.apple.pkg.DeveloperToolsLeo";

              }

    Oct 15 12:23:04 bruce-joness-macbook-pro installer[314]: install:didFailWithError:Error Domain=PKInstallErrorDomain Code=112 "An error occurred while running scripts from the package “DeveloperTools.pkg”." UserInfo=0x7f81acd03770 {NSFilePath=./preinstall, NSURL=file://localhost/Applications/Install%20Xcode.app/Contents/Resources/Packages/DeveloperTools.pkg, PKInstallPackageIdentifier=com.apple.pkg.DeveloperToolsLeo, NSLocalizedDescription=An error occurred while running scripts from the package “DeveloperTools.pkg”.}

    Oct 15 12:23:05 bruce-joness-macbook-pro installer[314]: Install failed: The Installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance.

     

     

    I've added this line to my /etc/sudoers  (it was empty)

    root                              All = (ALL) ALL

     

    and still no loving.  I tried the "sudo open" trick listed above, thinking that looked promising, but still no love.

     

    I don't have any iTunes processes running.

     

    I REALLY don't want to have to wipe this computer, reinstall everying and restore all of my stuff.  Anyone else have any other ideas?

  • 84. Re: [lion] XCode 4.1 doesn't install with lion
    2dareis2do Level 1 Level 1 (0 points)

    I found the opposite - I was looking for xcode installer and in was in launchpad- tried loading normal max os x installer and complained it could not install because xcode-installer was already installed - tried removing all of old xcode files using

     

    sudo /Developer/Library/uninstall-devtools –mode=all

     

    http://pushkararora.com/how-to/how-to-uninstall-xcode-completely/

     

    Still didn't work - solution - launch launchpad and after inatalling xcode_4.1_for_lion.dmg

     

    Select Install Xcode - seems to be working

     

    Unfortunately there do not seem to be any installation notes with this file?

  • 85. Re: [lion] XCode 4.1 doesn't install with lion
    chaseholden Level 1 Level 1 (0 points)

    It'd be nice if you'd be so kind as to upload a clean, working copy of the Xcode 4.1 installer with good pkgs.

  • 86. Re: [lion] XCode 4.1 doesn't install with lion
    Cattus Thraex Level 4 Level 4 (1,715 points)

    There was another thread on the same topic the other days, and could not dientify the cause, after a series of questions and answers, all remained an enigma.

  • 87. Re: [lion] XCode 4.1 doesn't install with lion
    chaseholden Level 1 Level 1 (0 points)

    Xcode 4.1 Installer from AppStore indeed is corrupt or contains a bad pkg.

    The problem (i now believe) is that during the botched installation,

    the /etc/sudoer file is altered and corrupted, making it impossible to issue the "sudo" command at the terminal.

     

    I'm now trying to find an original default /etc/sudoer file to compare mine to.

    I can confirm a clean Lion system before installation of Xcode 4.1, and now SUDO is dead.

     

    Error: Permission Denied. I have to login as Root user to do things I could before as SuperUser in Terminal.

  • 88. Re: [lion] XCode 4.1 doesn't install with lion
    chaseholden Level 1 Level 1 (0 points)

    Here's the error now whenever I try to sudo:

     

    sudo: can't open /private/etc/sudoers: Permission denied

    sudo: no valid sudoers sources found, quitting

     

    Please help. Obviously, I can't do without sudo and I can't figure out how to fix it. My sudoers file is fine. I've checked it in visudo. All settings are at defaults.

  • 89. Re: [lion] XCode 4.1 doesn't install with lion
    baltwo Level 9 Level 9 (60,115 points)

    FWIW, the only version of Xcode available via the App Store since 11/17 is 4.2.1. You might want to try that. BTW, sudo is controlled by the OS and not Xcode. Reinstall Lion and see if that fixes the sudo issue.

1 3 4 5 6 7 Previous Next